Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038542
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-05-14 11:592018-05-31 19:01
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision3f8f039a148d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038542: Order goes to Errors While Importing POS Data if it is paid by a Payment Type that has been removed

DescriptionOrder goes to Errors While Importing POS Data if it is paid by a Payment Type that has been removed
Steps To ReproduceIn the POS:
   Create a new ticket
   Add a product
   Click on the total (do not pay it)

In the backend:
   Go to the POS Terminal
   Remove the record related with the payment method related with Cash from the Payment Type

In the POS:
   Pay the ticket with Cash

In the backend:
   Go to Errors While Importing POS Data and check there is a new record related with the order on it
   The error is:
      java.lang.NullPointerException
    at org.openbravo.retail.posterminal.UpdateCashup.createPaymentMethodCashUp(UpdateCashup.java:302)
    at org.openbravo.retail.posterminal.UpdateCashup.updateOrCreateCashupInfo(UpdateCashup.java:254)
    at org.openbravo.retail.posterminal.UpdateCashup.getAndUpdateCashUp(UpdateCashup.java:138)
    at org.openbravo.retail.posterminal.OrderLoader.saveRecord(OrderLoader.java:240)
...
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038502 closedrqueralta "Error in previous cashup" received in terminal when Payment Type is NOT ACTIVE 

-  Notes
(0104674)
hgbot (developer)
2018-05-24 14:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3f8f039a148d94278dd8dd041c28f77cdaa7dd30
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Tue May 22 17:02:08 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3f8f039a148d94278dd8dd041c28f77cdaa7dd30 [^]

Fixed issue 38542: Order goes to Errors While Importing POS Data if it is paid
by a Payment Type that has been removed

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/event/PaymentMethodEventHandler.java
---

- Issue History
Date Modified Username Field Change
2018-05-14 11:59 ngarcia New Issue
2018-05-14 11:59 ngarcia Assigned To => Retail
2018-05-14 11:59 ngarcia Triggers an Emergency Pack => No
2018-05-14 11:59 ngarcia Relationship added related to 0038502
2018-05-16 15:17 rqueralta Assigned To Retail => rqueralta
2018-05-16 15:19 rqueralta Status new => scheduled
2018-05-16 16:41 ngarcia Issue Monitored: networkb
2018-05-24 14:59 hgbot Checkin
2018-05-24 14:59 hgbot Note Added: 0104674
2018-05-24 14:59 hgbot Status scheduled => resolved
2018-05-24 14:59 hgbot Resolution open => fixed
2018-05-24 14:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3f8f039a148d94278dd8dd041c28f77cdaa7dd30 [^]
2018-05-31 19:01 marvintm Review Assigned To => marvintm
2018-05-31 19:01 marvintm Status resolved => closed
2018-05-31 19:01 marvintm Fixed in Version => RR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker